
struct FeedEntryData {

    let entryId: String

    let title: String?

    let textAboveTitle: String

    let link: Link?

    let tags: [Tag]

    let labels: [ContentLabel]

    let text: String

    let media: Media?

    init(entryId: String, title: String?, textAboveTitle: String, link: Link?, tags: [Tag], labels: [ContentLabel], text: String, media: Media?) {
        self.entryId = entryId
        self.title = title
        self.textAboveTitle = textAboveTitle
        self.link = link
        self.tags = tags
        self.labels = labels
        self.text = text
        self.media = media
    }

    struct Link {

        let url: String

        let text: String
        
    }

    struct Tag {

        let name: String

        let url: String

    }

    enum Media {
        case images([ImageSet])
        case video([PostVideo.Video])
    }

    var requiresSwiper: Bool {
        if case .images(let images) = media, images.count > 1 {
            return true
        }
        return false
    }
}
